For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Pods
      • GETGet Pod
      • POSTCreate Pod
      • DELDelete Pod
        • GETList Inboxes
        • GETGet Inbox
        • POSTCreate Inbox
        • PATCHUpdate Inbox
        • DELDelete Inbox
LogoLogo
contact@agentmail.ccDiscord
API ReferencePodsInboxes

List Inboxes

GET
/v0/pods/:pod_id/inboxes
GET
/v0/pods/:pod_id/inboxes
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.pods.inboxes.list(
8 pod_id="pod_id",
9)
1{
2 "count": 1,
3 "inboxes": [
4 {
5 "pod_id": "pod_id",
6 "inbox_id": "inbox_id",
7 "email": "email",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "created_at": "2024-01-15T09:30:00Z",
10 "display_name": "display_name",
11 "client_id": "client_id",
12 "metadata": {
13 "metadata": "metadata"
14 }
15 },
16 {
17 "pod_id": "pod_id",
18 "inbox_id": "inbox_id",
19 "email": "email",
20 "updated_at": "2024-01-15T09:30:00Z",
21 "created_at": "2024-01-15T09:30:00Z",
22 "display_name": "display_name",
23 "client_id": "client_id",
24 "metadata": {
25 "metadata": "metadata"
26 }
27 }
28 ],
29 "limit": 1,
30 "next_page_token": "next_page_token"
31}
**CLI:** ```bash agentmail pods:inboxes list --pod-id <pod_id> ```
Was this page helpful?
Previous

Get Inbox

Next
Built with

CLI:

$agentmail pods:inboxes list --pod-id <pod_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
inboxeslist of objects

Ordered by created_at descending.

limitinteger
Limit of number of items returned.
next_page_tokenstring
Page token for pagination.

Errors

404
Not Found Error